﻿/* 
    Copyright (c) 2012 Microsoft Corporation.  All rights reserved.
    Use of this sample source code is subject to the terms of the Microsoft license 
    agreement under which you licensed this sample source code and is provided AS-IS.
    If you did not accept the terms of the license agreement, you are not authorized 
    to use this sample source code.  For the terms of the license, please see the 
    license agreement between you and Microsoft.
*/

using System.IO;
using System.Xml.Serialization;
using Microsoft.Phone.Controls;
using UIFramework.Framework;
using UIFramework.Photo;

namespace FaceParty
{
    public partial class EditPage : PhoneApplicationPage
    {
        private Persistence persistence = (App.Current as App).Persistence;

        #region Meta Storage

        private static FaceWrapper[] GetMetaData(Photo photo)
        {
            FaceWrapper[] faces = null;
            try
            {
                photo.MetaStream.Position = 0;
                XmlSerializer serializer = new XmlSerializer(typeof(FaceWrapper[]));
                faces = serializer.Deserialize(photo.MetaStream) as FaceWrapper[];
            }
            catch
            { }

            return faces;
        }

        private static void SaveMetaData(Photo photo, FaceWrapper[] wrappers)
        {
            if (wrappers != null)
            {
                photo.MetaStream = new MemoryStream();
                XmlSerializer serializer = new XmlSerializer(typeof(FaceWrapper[]));
                serializer.Serialize(photo.MetaStream, wrappers);
            }
        }

        #endregion
    }
}
